Index: doc/src/sgml/runtime.sgml
===================================================================
RCS file: /var/lib/cvs/pgsql-server/doc/src/sgml/runtime.sgml,v
retrieving revision 1.162
diff -c -r1.162 runtime.sgml
*** doc/src/sgml/runtime.sgml	6 Dec 2002 05:18:57 -0000	1.162
--- doc/src/sgml/runtime.sgml	8 Dec 2002 21:54:47 -0000
***************
*** 1048,1066 ****
        <term><varname>LOG_MIN_ERROR_STATEMENT</varname> (<type>string</type>)</term>
        <listitem>
         <para>
!         This controls for which message levels the SQL statement
!         causing that message is to be recorded in the server log. All
!         statements causing a message of the level of the setting or
!         higher are logged. The default is <literal>PANIC</literal>
!         (effectively turning this feature off). Valid values are
!         <literal>DEBUG5</literal>, <literal>DEBUG4</literal>,
!         <literal>DEBUG3</literal>, <literal>DEBUG2</literal>,
!         <literal>DEBUG1</literal>, <literal>INFO</literal>,
!         <literal>NOTICE</literal>, <literal>WARNING</literal>,
!         <literal>ERROR</literal>, <literal>FATAL</literal>, and
!         <literal>PANIC</literal>.  For example, if you set this to
!         <literal>ERROR</literal> then all SQL statements causing
!         errors, fatal errors, or panics will be logged.
         </para>
  
         <para>
--- 1048,1068 ----
        <term><varname>LOG_MIN_ERROR_STATEMENT</varname> (<type>string</type>)</term>
        <listitem>
         <para>
!         Controls whether or not the SQL statement that causes an error
!         condition will also be recorded in the server log. All SQL
!         statements that cause an error of the specified level, or a
!         higher level, are logged.  The default is
!         <literal>PANIC</literal> (effectively turning this feature
!         off). Valid values are <literal>DEBUG5</literal>,
!         <literal>DEBUG4</literal>, <literal>DEBUG3</literal>,
!         <literal>DEBUG2</literal>, <literal>DEBUG1</literal>,
!         <literal>INFO</literal>, <literal>NOTICE</literal>,
!         <literal>WARNING</literal>, <literal>ERROR</literal>,
!         <literal>FATAL</literal>, and <literal>PANIC</literal>.  For
!         example, if you set this to <literal>ERROR</literal> then all
!         SQL statements causing errors, fatal errors, or panics will be
!         logged. Enabling this option can be helpful in tracking down
!         the source of any errors that appear in the server log.
         </para>
  
         <para>
***************
*** 1075,1081 ****
        <term><varname>LOG_MIN_MESSAGES</varname> (<type>string</type>)</term>
        <listitem>
         <para>
!         This controls how much message detail is written to the server
          logs.  Valid values are <literal>DEBUG5</>,
          <literal>DEBUG4</>, <literal>DEBUG3</>, <literal>DEBUG2</>,
          <literal>DEBUG1</>, <literal>INFO</>, <literal>NOTICE</>,
--- 1077,1083 ----
        <term><varname>LOG_MIN_MESSAGES</varname> (<type>string</type>)</term>
        <listitem>
         <para>
!         Controls how much message detail is written to the server
          logs.  Valid values are <literal>DEBUG5</>,
          <literal>DEBUG4</>, <literal>DEBUG3</>, <literal>DEBUG2</>,
          <literal>DEBUG1</>, <literal>INFO</>, <literal>NOTICE</>,
***************
*** 1083,1090 ****
          <literal>FATAL</>, and <literal>PANIC</>. Later values send
          less detail to the logs.  The default is <literal>NOTICE</>.
          Note that <literal>LOG</> has a different precedence here than
!         in <literal>CLIENT_MIN_MESSAGES</>.  Also see that section 
! 	for an explanation of the various values.
         </para>
  
        </listitem>
--- 1085,1092 ----
          <literal>FATAL</>, and <literal>PANIC</>. Later values send
          less detail to the logs.  The default is <literal>NOTICE</>.
          Note that <literal>LOG</> has a different precedence here than
!         in <literal>CLIENT_MIN_MESSAGES</>.  Also see that section for
!         an explanation of the various values.
         </para>
  
        </listitem>
***************
*** 1155,1165 ****
        <term><varname>STATS_ROW_LEVEL</varname> (<type>boolean</type>)</term>
        <listitem>
         <para>
!         These flags determine what information backends send to the statistics
! 	collector process: current commands, block-level activity statistics,
! 	or row-level activity statistics.  All default to off.  Enabling
! 	statistics collection costs a small amount of time per query, but
! 	is invaluable for debugging and performance tuning.
         </para>
        </listitem>
       </varlistentry>
--- 1157,1168 ----
        <term><varname>STATS_ROW_LEVEL</varname> (<type>boolean</type>)</term>
        <listitem>
         <para>
!         Determines what information backends send to the statistics
!         collector process: current commands, block-level activity
!         statistics, or row-level activity statistics.  All default to
!         off.  Enabling statistics collection costs a small amount of
!         time per query, but is invaluable for debugging and
!         performance tuning.
         </para>
        </listitem>
       </varlistentry>
***************
*** 1180,1189 ****
        <term><varname>STATS_START_COLLECTOR</varname> (<type>boolean</type>)</term>
        <listitem>
         <para>
!         Controls whether the server should start the statistics-collection
! 	subprocess.  This is on by default, but may be turned off if you
! 	know you have no interest in collecting statistics.  This option
! 	can only be set at server start.
         </para>
        </listitem>
       </varlistentry>
--- 1183,1193 ----
        <term><varname>STATS_START_COLLECTOR</varname> (<type>boolean</type>)</term>
        <listitem>
         <para>
!         Controls whether the server should start the
!         statistics-collection subprocess.  This is on by default, but
!         may be turned off if you know you have no interest in
!         collecting statistics.  This option can only be set at server
!         start.
         </para>
        </listitem>
       </varlistentry>
***************
*** 1209,1215 ****
         <listitem>
          <para>
            This option determines the <application>syslog</application>
!           <quote>facility</quote> to be used when
            <application>syslog</application> is enabled. You may choose
            from <literal>LOCAL0</>, <literal>LOCAL1</>,
            <literal>LOCAL2</>, <literal>LOCAL3</>, <literal>LOCAL4</>,
--- 1213,1219 ----
         <listitem>
          <para>
            This option determines the <application>syslog</application>
!           <quote>facility</quote> to be used when logging via
            <application>syslog</application> is enabled. You may choose
            from <literal>LOCAL0</>, <literal>LOCAL1</>,
            <literal>LOCAL2</>, <literal>LOCAL3</>, <literal>LOCAL4</>,
***************
*** 1689,1711 ****
       </varlistentry>
  
       <varlistentry>
!       <term><varname>MAX_FSM_RELATIONS</varname> (<type>integer</type>)</term>
        <listitem>
         <para>
!         Sets the maximum number of relations (tables) for which free
!         space will be tracked in the shared free-space map. The default
!         is 100. This option can only be set at server start.
         </para>
        </listitem>
       </varlistentry>
  
       <varlistentry>
!       <term><varname>MAX_FSM_PAGES</varname> (<type>integer</type>)</term>
        <listitem>
         <para>
!         Sets the maximum number of disk pages for which free space will
!         be tracked in the shared free-space map. The default is 10000.
!         This option can only be set at server start.
         </para>
        </listitem>
       </varlistentry>
--- 1693,1715 ----
       </varlistentry>
  
       <varlistentry>
!       <term><varname>MAX_FSM_PAGES</varname> (<type>integer</type>)</term>
        <listitem>
         <para>
!         Sets the maximum number of disk pages for which free space will
!         be tracked in the shared free-space map. The default is 10000.
!         This option can only be set at server start.
         </para>
        </listitem>
       </varlistentry>
  
       <varlistentry>
!       <term><varname>MAX_FSM_RELATIONS</varname> (<type>integer</type>)</term>
        <listitem>
         <para>
!         Sets the maximum number of relations (tables) for which free
!         space will be tracked in the shared free-space map. The default
!         is 100. This option can only be set at server start.
         </para>
        </listitem>
       </varlistentry>
***************
*** 1717,1723 ****
          The shared lock table is sized on the assumption that at most
          <varname>max_locks_per_transaction</> *
          <varname>max_connections</varname> distinct objects will need to
!         be locked at any one time. The default, 64, which has historically
          proven sufficient, but you might need to raise this value if you
          have clients that touch many different tables in a single
          transaction. This option can only be set at server start.
--- 1721,1727 ----
          The shared lock table is sized on the assumption that at most
          <varname>max_locks_per_transaction</> *
          <varname>max_connections</varname> distinct objects will need to
!         be locked at any one time. The default, 64, has historically
          proven sufficient, but you might need to raise this value if you
          have clients that touch many different tables in a single
          transaction. This option can only be set at server start.
